---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrdlst002.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3B70, symSize: 0x270 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52810, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54750, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54B40, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55AE0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55AF0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52480, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52484, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52488, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x525E0, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52698, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5269C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x526A0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x526A4, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x526A8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x526B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x526C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x526C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x526D0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x526D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x526E0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x526E8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x5272C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x52730, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL14eventsReceived, symObjAddr: 0x52738, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52740, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x95AF, offset: 0x95AF, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2730, symSize: 0x80 }
  - { offsetInCU: 0x9644, offset: 0x9644, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2680, symSize: 0xB0 }
  - { offsetInCU: 0x969F, offset: 0x969F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2580, symSize: 0x100 }
  - { offsetInCU: 0x9932, offset: 0x9932, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x27B0, symSize: 0xC0 }
  - { offsetInCU: 0x9984, offset: 0x9984, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2870, symSize: 0x220 }
  - { offsetInCU: 0x9B69, offset: 0x9B69, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2A90, symSize: 0xA0 }
  - { offsetInCU: 0x9C1C, offset: 0x9C1C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2B30, symSize: 0x110 }
  - { offsetInCU: 0x9D12, offset: 0x9D12, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2C40, symSize: 0x150 }
  - { offsetInCU: 0x9E6F, offset: 0x9E6F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2D90, symSize: 0x30 }
  - { offsetInCU: 0x9FA8, offset: 0x9FA8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2DC0, symSize: 0x150 }
  - { offsetInCU: 0xA1A0, offset: 0xA1A0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2F10, symSize: 0x160 }
  - { offsetInCU: 0xA460, offset: 0xA460, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3070, symSize: 0x4A0 }
  - { offsetInCU: 0xA6F9, offset: 0xA6F9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x3510, symSize: 0xE0 }
  - { offsetInCU: 0xA7B9, offset: 0xA7B9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x35F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA9D4, offset: 0xA9D4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x37A0, symSize: 0xA0 }
  - { offsetInCU: 0xAACF, offset: 0xAACF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3840, symSize: 0x20 }
  - { offsetInCU: 0xAB06, offset: 0xAB06, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3860, symSize: 0x20 }
  - { offsetInCU: 0xAB3D, offset: 0xAB3D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3880, symSize: 0x20 }
  - { offsetInCU: 0xACAC, offset: 0xACAC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x38A0, symSize: 0x1A0 }
  - { offsetInCU: 0xAFC8, offset: 0xAFC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3A40, symSize: 0x130 }
  - { offsetInCU: 0xB178, offset: 0xB178, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3DE0, symSize: 0x1B0 }
  - { offsetInCU: 0xB467, offset: 0xB467, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3F90, symSize: 0x80 }
  - { offsetInCU: 0xB530, offset: 0xB530, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4010, symSize: 0x6A0 }
  - { offsetInCU: 0xC0C5, offset: 0xC0C5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAB60, symBinAddr: 0x5D00, symSize: 0xB0 }
  - { offsetInCU: 0xC13C, offset: 0xC13C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x46B0, symSize: 0x70 }
  - { offsetInCU: 0xC1F8, offset: 0xC1F8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4720, symSize: 0xA0 }
  - { offsetInCU: 0xC303, offset: 0xC303, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x47C0, symSize: 0x40 }
  - { offsetInCU: 0xC3F9, offset: 0xC3F9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4800, symSize: 0x2B0 }
  - { offsetInCU: 0xC79F, offset: 0xC79F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4AB0, symSize: 0xC0 }
  - { offsetInCU: 0xC8E5, offset: 0xC8E5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4B70, symSize: 0x10 }
  - { offsetInCU: 0xC9A7, offset: 0xC9A7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4B80, symSize: 0x220 }
  - { offsetInCU: 0xCCA4, offset: 0xCCA4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4DA0, symSize: 0x10 }
  - { offsetInCU: 0xCD01, offset: 0xCD01, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4DB0, symSize: 0x2F0 }
  - { offsetInCU: 0xD08B, offset: 0xD08B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F00, symBinAddr: 0x50A0, symSize: 0x10 }
  - { offsetInCU: 0xD114, offset: 0xD114, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x9F10, symBinAddr: 0x50B0, symSize: 0xB0 }
  - { offsetInCU: 0xD34B, offset: 0xD34B, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FC0, symBinAddr: 0x5160, symSize: 0xBA0 }
  - { offsetInCU: 0xE094, offset: 0xE094, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC10, symBinAddr: 0x5DB0, symSize: 0x36A }
...
